Skip to main content
GET
/
invoices
/
{id}
/
short_state
Get invoice short state
curl --request GET \
  --url https://api.bitgpt.xyz/invoices/{id}/short_state
{
  "status": "PENDING",
  "data": {
    "id": "123"
  },
  "error": null,
  "log": null,
  "validator": null,
  "support_id": null,
  "message": "Resource created successfully",
  "env": "development"
}

Path Parameters

id
string
required

Invoice ID

Response

Invoice short state

status
enum<integer>
required

Status code of the response

Available options:
200,
201,
202
data
object
required

Invoice short state data

message
string | null
required

Message of the response, human readable

Example:

"Resource created successfully"

env
enum<string>
required

API environment

Available options:
development,
production
error
string | null

Error message of the response, human readable

Example:

"Invalid email address"

log

Useful informaiton, not always present, to debug the response

Examples:
{ "request_id": "req_1234567890" }

"Some pertinent log message"

validator
object

Validator response object, each key is the field name and value is the error message

Example:
{
"email": "Invalid email address",
"password": "Password is required"
}
support_id
string<uuid> | null

Support ID linked to the response, used to identify it when talking with our team

Example:

"support_uuidv7-something-else"